package com.gh.gamecenter.setting.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IBuildConfigProvider
import com.gh.gamecenter.setting.BuildConfig

@com.therouter.inject.ServiceProvider
class BuildConfigImpl : IBuildConfigProvider {

    override fun getApplicationId(): String = BuildConfig.APPLICATION_ID

    override fun getVersionName(): String = BuildConfig.VERSION_NAME

    override fun getExposureVersion(): String = ""

    override fun isDebug(): Boolean = BuildConfig.DEBUG

    override fun getApiHost(): String = BuildConfig.API_HOST

    override fun getDevApiHost(): String = BuildConfig.DEV_API_HOST

    override fun getNewApiHost(): String = ""

    override fun getNewDevApiHost(): String = ""

    override fun getVApiHost() = ""

    override fun getVDevApiHost() = ""

}